View Issue Details

IDProjectCategoryView StatusLast Update
0003912ScribusGeneralpublic2009-02-09 18:56
Reporterjoshuaacnewman Assigned Tocbradney  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformMacintoshOSXOS Version10.4.6
Product Version1.3.3.2cvs 
Target VersionFixed in Version1.3.5svn 
Summary0003912: Preferences location is an unnecessary challenge.
DescriptionIn MacOS, the prefs go in ~/Library/Preferences. If they're in a .file, it's hard to delete them.

This was discovered because every time I click "Change..." to add Ghostscript as an external app, it crashes. I think it has to do with prefs because when I start the app, it complains that:

Scribus was not able to save its preferences: Could not open preferences file "Users/joshua/.scribus/scribus13.rc" for writing: Too many open files [sic] Please check file and directory permissions and available disk space.

I have 6G free. I haven't changed perms on that directory and all the files there belong to me anyway.

Steps To ReproduceAll I did was open and close the app several times while trying to get Ghostscript to work. Now it no longer lets me do anything with prefs. I tried deleting the .rc file and the response has been identical. Normally, I wouldn't have deleted the file, but since it's in a .folder, I can't just move it to try stuff.
Additional InformationThis is my second time trying out Scribus. I've been consistently disappointed; it has so much potential but continually lets me down.
TagsNo tags attached.
Patch

Relationships

related to 0002362 closedavox Scribus hangs or crashes while searching for fonts 
related to 0002881 closedavox Scribus/Aqua cannot write or read directories/files 
has duplicate 0003914 closedcbradney Prefs file is misplaced. 
child of 0002015 closedavox This issue lists all known regressions of the Aqua port compared with the 13 Linux version 

Activities

cbradney

2006-06-14 20:14

administrator   ~0011632

Is it not the fault of the Mac that it cannot handle a directory beginning with a .? Happy to change as required, but thats a problem with the Mac not Scribus.

joshuaacnewman

2006-06-14 20:25

reporter   ~0011633

It can handle it just fine. But it breaks the standard for MacOS by not putting it in the proper place and by making it invisible. It's not that it doesn't work, it's that it's throwing files around my directory structure and then hiding them from me so I can't do anything with them.

I appreciate that other *nixes do that as a matter of course, but that's now how it works in MacOS. I don't want to have to hunt down every prefs file when I need to delete them. I know they're all in one place, all of the hundreds of prefs files I've got, except for Scribus'.

That means that, in order to delete it (or do anything to it) I have to use the Terminal rather than, say, BBEdit, and I wouldn't even know it was there except that the error message said where it was supposed to be. That's better than nothing, of course, but it's not fully functional.

I think this is probably only an issue with the MacOS version. I don't know (and don't care) where the files go on other OSs.

avox

2006-06-15 00:38

administrator   ~0011636

The too many files error has another cause, not the preferences location.
That's just the point where it crashes.

Which version of Freetype are you using? There was an error with Freetype not closing some fontfiles
after use, maybe that came back again.

joshuaacnewman

2006-06-15 17:32

reporter   ~0011642

I don't know what Freetype is, sorry.

avox

2006-06-15 17:45

administrator   ~0011643

It's the font handling library, is contained in Library-A.

Anyway, to find out what happens please do the following:

* run Scribus until the errormessage occurs, but don't click any button
* switch to ActivityMonitor
* select Scribus and click "Information"
* a new windows pops up where you select the tab "open files"
* select all text in the list of open files, Copy & Paste it to a textfile
* attach the textfile to this bug

Thanks!

Issue History

Date Modified Username Field Change
2006-06-14 16:44 joshuaacnewman New Issue
2006-06-14 20:14 cbradney Note Added: 0011632
2006-06-14 20:25 joshuaacnewman Note Added: 0011633
2006-06-14 20:54 cbradney Relationship added has duplicate 0003914
2006-06-15 00:38 avox Note Added: 0011636
2006-06-15 16:10 ringerc Relationship added related to 0002362
2006-06-15 16:10 ringerc Relationship added related to 0002881
2006-06-15 17:32 joshuaacnewman Note Added: 0011642
2006-06-15 17:45 avox Note Added: 0011643
2006-06-17 01:23 avox Status new => feedback
2006-06-18 12:23 mhanski Relationship added child of 0002015
2009-02-09 00:06 cbradney Status feedback => resolved
2009-02-09 00:06 cbradney Fixed in Version => 1.3.5svn
2009-02-09 00:06 cbradney Resolution open => fixed
2009-02-09 00:06 cbradney Assigned To => cbradney
2009-02-09 18:56 cbradney Status resolved => closed